import { ElectronStore } from 'electron-store';

declare module 'electron-store' {
  interface ElectronStore<T> {
    get<K extends keyof T>(key: K): T[K];
    set<K extends keyof T>(key: K, value: T[K]): void;
    // Add other methods as needed
    has<K extends keyof T>(key: K): boolean;
    delete<K extends keyof T>(key: K): void;
    clear(): void;
  }
}

export = ElectronStore;
