import React from 'react';
import { Box } from '@mui/material';
import MessageList from './MessageList';
interface ChatPanelProps {
  messages: Array<{
    role: 'user' | 'assistant';
    content: string;
    sources?: any[];
  }>;
}

export default function ChatPanel({ messages }: ChatPanelProps) {
  
  return (
    <Box sx={{ 
      display: 'flex', 
      flexDirection: 'column',
      height: '100%',
      overflow: 'hidden',
      flex: 1,
      minHeight: 0
    }}>
      <MessageList
        messages={messages.map((msg, index) => ({
          id: String(index),
          text: msg.content,
          isUser: msg.role === 'user',
          timestamp: new Date().toISOString(),
          sources: msg.sources,
        }))} 
      />
    </Box>
  );
}
